Bug 1035851 - [abrt] mark as read / claws-mail-3.9.2-7.fc19: gtk_cmctree_is_viewable: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] mark as read / claws-mail-3.9.2-7.fc19: gtk_cmctree_is_viewable: Proce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7a76f7fc8d2fac62710c1b566be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-28 16:04 UTC by Charlie Bennett
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:11 UTC


Attachments (Terms of Use)
File: backtrace (40.62 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: core_backtrace (18.73 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: dso_list (14.03 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: environ (2.83 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: maps (101.80 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: open_fds (1.71 KB, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details
File: var_log_messages (417 bytes, text/plain)
2013-11-28 16:04 UTC, Charlie Bennett
no flags Details

Description Charlie Bennett 2013-11-28 16:04:06 UTC
Description of problem:

Reading GMAIL over IMAP.  clicked on a message and BOOM

Version-Release number of selected component:
claws-mail-3.9.2-7.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        claws-mail
crash_function: gtk_cmctree_is_viewable
executable:     /usr/bin/claws-mail
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_cmctree_is_viewable at gtkcmctree.c:3453
 #1 tree_draw_node at gtkcmctree.c:2708
 #2 gtk_cmctree_node_set_foreground at gtkcmctree.c:4494
 #3 summary_set_row_marks at summaryview.c:3829
 #4 msginfo_mark_as_read at summaryview.c:3524
 #5 msginfo_mark_as_read_timeout at summaryview.c:3541
 #11 gtk_main at gtkmain.c:1257

Potential duplicate: bug 928125

Comment 1 Charlie Bennett 2013-11-28 16:04:14 UTC
Created attachment 830290 [details]
File: backtrace

Comment 2 Charlie Bennett 2013-11-28 16:04:17 UTC
Created attachment 830291 [details]
File: cgroup

Comment 3 Charlie Bennett 2013-11-28 16:04:20 UTC
Created attachment 830292 [details]
File: core_backtrace

Comment 4 Charlie Bennett 2013-11-28 16:04:23 UTC
Created attachment 830293 [details]
File: dso_list

Comment 5 Charlie Bennett 2013-11-28 16:04:26 UTC
Created attachment 830294 [details]
File: environ

Comment 6 Charlie Bennett 2013-11-28 16:04:29 UTC
Created attachment 830295 [details]
File: exploitable

Comment 7 Charlie Bennett 2013-11-28 16:04:32 UTC
Created attachment 830296 [details]
File: limits

Comment 8 Charlie Bennett 2013-11-28 16:04:35 UTC
Created attachment 830297 [details]
File: maps

Comment 9 Charlie Bennett 2013-11-28 16:04:38 UTC
Created attachment 830298 [details]
File: open_fds

Comment 10 Charlie Bennett 2013-11-28 16:04:44 UTC
Created attachment 830299 [details]
File: proc_pid_status

Comment 11 Charlie Bennett 2013-11-28 16:04:48 UTC
Created attachment 830300 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2013-11-28 17:09:28 UTC
> Reading GMAIL over IMAP.  clicked on a message and BOOM

Here you were supposed to mention whether the problem is reproducible (and how often it occurs).

It is indeed a dupe of bug 928125.

The crash is related to marking a message as read, but it could be just a side-effect because IMAP is involved (which in Claws Mail can lead to side-effects if encoutering networking problems).

Please show the output of these commands:

  grep mark_as_read ~/.claws-mail/clawsrc
  grep layout ~/.claws-mail/clawsrc
  grep io_timeout ~/.claws-mail/clawsrc

Comment 13 Charlie Bennett 2013-11-29 14:46:54 UTC
Sorry - just brain-dead pounding through the ABRT prompts.
I've only seen this crash once and have not tried to repro.


cbox:ccb1001   grep mark_as_read ~/.claws-mail/clawsrc
mark_as_read_on_new_window=0
mark_as_read_delay=4
mark_as_read=1

cbox:ccb1002   grep layout ~/.claws-mail/clawsrc
layout_mode=0

cbox:ccb1003   grep io_timeout ~/.claws-mail/clawsrc
io_timeout_secs=60

Comment 14 Michael Schwendt 2014-01-16 11:32:14 UTC
In an attempt at reproducing it, I've been running Claws Mail with mark_as_read_delay=4 for a long time, but couldn't reproduce anything like that with multiple IMAP servers including Google Mail.

Comment 15 Michael Schwendt 2014-04-21 11:26:20 UTC
There has been a series of interesting commits upstream related to memory corruption, memory leaks and also mark_as_read callback. It may or may not fix this in a future release:

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=e240402b874071ffafe74aaffe60c177cb798567

Comment 16 Fedora Update System 2014-05-26 21:17:11 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 17 Fedora Update System 2014-05-26 21:17:45 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 18 Fedora Update System 2014-05-28 02:56:06 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-05-30 23:49:11 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-11-02 17:51:35 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 21 Fedora Update System 2014-11-02 17:52:14 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 22 Fedora Update System 2014-11-02 17:54:53 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 23 Fedora Update System 2014-11-10 06:30:00 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-11-10 06:33:46 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-01-05 07:36:08 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.